Page MenuHomePhabricator

[DO NOT USE] Extensions awaiting code review to be deployed on Wikimedia wikis (tracking) [superseded by #wikimedia-extension-review-queue]
Closed, InvalidPublic

Description

Extensions awaiting Code Review before deployment on Wikimedia Wikis

Checklist for deployment

See https://www.mediawiki.org/wiki/Review_queue#Checklist

Details

Reference
bz31235

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

+1 to greg's last two comments.

Reedy changed the status of subtask T46660: Review PDBHandler extension from Open to Stalled.Oct 19 2015, 9:21 PM
Qgil removed a subscriber: Qgil.Oct 20 2015, 8:18 AM
Liuxinyu970226 added a comment.EditedJul 14 2016, 4:02 AM

So let's see how do you click one of these tasks now, if we still don't decide the replacement tag.

https://phab.wmfusercontent.org/file/data/76uu53kz75r6na7sduhq/PHID-FILE-djuxud52c3kteyftoem2/1.png (1.62 MB, very large)

Prtksxna changed the status of subtask T144302: Release FileAnnotations on the Beta Cluster from Open to Stalled.May 4 2017, 5:58 PM
MarcoAurelio renamed this task from Extensions awaiting code review to be deployed on Wikimedia wikis (tracking) to [DO NOT USE] Extensions awaiting code review to be deployed on Wikimedia wikis (tracking) [superseded by #wikimedia-extension-review-queue].Aug 26 2017, 9:43 AM
MarcoAurelio closed this task as Invalid.
MarcoAurelio lowered the priority of this task from High to Lowest.
MarcoAurelio removed a subscriber: wikibugs-l-list.
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptAug 26 2017, 9:43 AM
MarcoAurelio removed subtasks: T170728: Install Extension:OpenBadges on Test2.Wikipedia , T170198: Review and deploy QRLite Extension, T166858: Deploy "CloseMyAccount" extension to allow disabling/closing your own user account, T159708: Deploy WikibaseMediaInfo extension to production, T154371: Review and deploy Timeless skin, T156971: Deploy mediawiki-Dashiki extension to meta.wikimedia.org, T150184: Deploy TwoColConflict extension to production, T150185: Deploy ElectronPdfService Extension to production, T150183: Deploy InterwikiSorting extension to production, T150182: Deploy Cognate extension to production, T149765: Deploy WikipediaExtracts extension, T148693: Deploy IDS rendering engine to production, T148609: Review and deploy Linter extension to Wikimedia wikis, T144302: Release FileAnnotations on the Beta Cluster, T137786: Deploy IDS extension to zh.wikisource, T132058: 3d extension supporting STL (3d printing files), T130018: Review and deploy Extension:UploadsLink to Wikimedia Commons, T125338: Security and compliance with the Privacy Policy review of Extension:StopForumSpam to consider deployment on WMF wikis, T95954: Deploy Extension:Lockdown to the cluster and enable on OTRS Wiki, T120219: PageAssessments deployment to WMF wikis, T116676: Deploy RelatedArticles to all wikipedias (but enabled only in beta), T113169: Enable Extension:Editcount to be used on commons.wikimedia, T110661: Deploy QuickSurveys extension to the English Wikipedia, T110170: Goal: Deploy Newsletter extension in Wikimedia, T108501: Activate Extension:DeleteBatch and Extension:UndeleteBatch on en.Wikisource, T98029: Deploy PageBanner extension on English Wikivoyage project, T99357: [Story] Review and deploy Wikibase-Quality-External-Validation on wikidata.org, T99354: Review and deploy Wikibase-Quality-Constraints on wikidata.org, T99351: Review and deploy Wikibase-Quality on wikidata.org, T88261: Security review for Extension:Josa, T95041: Deploy CodeMirror extension to beta cluster, T90573: Review and deploy DynamicPageListEngine, T89216: Deploy Skin:Slate to production, T85672: Provide Extension:ExternalLinks on ar.wikipedia, T1272: Deploy ApiFeatureUsage extension on WMF wikis, T73597: Review and deploy IEG grant review application, T68226: Review and deploy the "In other projects sidebar" beta feature (part of Wikibase extension), T68133: Refactoring ZeroRatedMobileAccess into JsonConfig & ZeroBanner extensions, T68094: Deploy Mantle extension to WMF servers, T71019: Review and deploy BounceHandler extension to Wikimedia wikis, T67849: Review and deploy Petition extension to wikimediafoundation.org, T67834: Review & deploy mediawiki/extensions/FundraisingChart, T74465: Deploy WikiGrok extension to test, test2, and en.wiki, T70860: [GOAL] Graduate Page Previews feature (Popups extension) out of Beta Feature, T72576: Review and deploy GlobalUserPage extension to Wikimedia wikis, T74302: Enable Labeled Section Transclusion's #lsth on Wikimedia, T72499: Deploy SandboxLink extension to cluster and enable on wikis where it currently is a gadget, T72402: Review and deploy ImageMetrics extension to Wikimedia wikis, T61793: Activate Extension:DeleteBatch and Extension:UndeleteBatch on Wikimedia Commons, T53499: Review and deploy Disambiguator extension, T58506: enable Flow extension on test2 and a handful of mediawiki.org pages, T66786: Review the ExtraLanguageLink extension for deployment, T59891: Review and deploy GlobalCssJs extension to Wikimedia wikis, T63167: Review and deploy Popups extension (Hovercards feature) to Wikimedia wikis, T64811: Review and deploy TwitterCards extension for proper display, T58140: Review and deploy MultimediaViewer extension, T58133: Review and deploy CommonsMetadata extension, T51448: Add Extension:YetAnotherKeywords to de.wikiversity, T61245: Review the PageNotice extension for deployment, T54723: Review and deploy MassMessage extension to Wikimedia wikis, T59545: Review and deploy Wikimania Scholarship application, T51278: Review and deploy BlameMaps extension, T54574: Deploy BayesianFilter Extension, T54530: Implement mw:Extension:RandomInCategory on the English Wikipedia, T49566: Install "HTML-Tags" on de.wikiversity, T56214: [Epic] Review and deploy TranslateSvg extension on Wikimedia Commons, T57749: Deploy VectorBeta extension for Beta Features release, T49400: Install Extension:Widget to English Wikivoyage, T44214: "Opinions" tab on the English Wikinews currently uses a JavaScript implementation when it shouldn't, T45982: Deploy and review Nimbus extension, T47666: Deployment review of NamespaceRelations for Wikinews and Wiktionary, T42506: Review and deploy Education Program extension, T42477: Enable Extension:Education Program on English Wikipedia (with new user rights configuration), T45848: Deploy and review SearchExtraNs extension, T42422: Review and deploy FormatNum extension, T55865: Review and deploy BetaFeatures extension, T55756: Install Extension:PageLanguage and enabled it on wikidatawiki (maybe on other multilingual wikis too), T52174: Install "Disambiguator" extension on WMF wikis, T55541: Enable CleanChanges extension on Meta-Wiki, T45222: Review LaTeXML branch of Extension:Math for deployment, T46886: Install RightFunctions MediaWiki extension on Arabic Wikipedia (arwiki), T40271: Review and deploy SVGEdit extension to Wikimedia wikis, T36778: Deploy extension Memento on Wikipedia sites, T46660: Review PDBHandler extension, T39992: Review and deploy Drafts extension to Wikimedia wikis, T34695: Implement, Review and Deploy Wikicaptcha, T44577: Review and deploy CodeEditor extension, T42620: Review and deploy EditSimilar extension, T34128: Review and deploy OnlineStatusBar extension, T30816: Review and deploy ApiSandbox extension on Wikimedia Cluster, T24043: Install Extension:Interwiki in read-only mode on all WMF wikis, T27454: Set up "Data Transfer" extension on Czech Wikiversity, T27413: Set up SemanticResultFormats on Czech Wikiversity, T27410: Setup Semantic MediaWiki on Czech Wikiversity, T30575: Install CategoryTests (or CategoryFunctions) extension on sv.wiktionary, T27302: Enable UserOptionStats extension on Hungarian Wikipedia, T23602: Code review for use of SMW in MediaWiki.Org, T32051: Review and deploy CollaborativeWatchlist extension, T22246: Install Extension:Transliterator on fr, pl and en.wiktionary, T22192: Review (and install?) Extension:Poll (ar.wikinews), T27000: Deploy ThrottleOverride extension to Wikimedia wikis, T23377: Enable SiteWideMessages on enwp, T26836: Install Extension:XMLRC on test.wikipedia.org, T30135: Review and deploy VipsScaler extension, T33512: Install calendar extension on outreach wiki, T31828: Enable Extension:DynamicSidebar on Hindi Wikipedia, T37104: Enable Extension:Sudo on WMF cluster, T24928: Enable NaturalLanguageList Extension on WMF wikis, T24911: Install [[mw:Extension:SubpageSortkey]] on Portuguese and English Wikibooks, T35193: Review and deploy Score extension to Wikimedia wikis, T16087: Adapt "DPLforum" extension for watchlisting individual threads on a few selected Village Pumps and other main forums., T19426: Install PageNotice and ImageSizeInfoFunctions extensions for mlwiki, T17607: Install Extension:Interlanguage on en.wikipedia, T15782: Install ConfirmAccount extension on Wikimedia wikis, T13794: Install DidYouMean extension on the English Wiktionary, T10390: Enable Semantic MediaWiki on WMF projects, T13586: Enable CommentPages extension on English Wikinews, T5252: Review (and install?) WikiTeX, T3450: Enable Extension:ShortUrl on or.wikipedia, ta.wikipedia..., T18655: Install RandomRootPage on WMF wikis.Aug 26 2017, 9:43 AM

Also updated the MediaWiki [[mw:Review queue]] page to point to the new tag instead to the tracking task. I've also sorted the tasks in the workboard between open and closed.